## glviewconvert

glviewconvert

## Properties

GstGLStereoDownmix | downmix-mode | Read / Write
GstVideoMultiviewFlags | input-flags-override | Read / Write
GstVideoMultiviewFramePacking | input-mode-override | Read / Write
GstVideoMultiviewFlags | output-flags-override | Read / Write
GstVideoMultiviewMode | output-mode-override | Read / Write

## Types and Values

struct | GstGLViewConvertElement

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstGLBaseFilter
                            ╰── GstGLFilter
                                ╰── GstGLViewConvertElement

## Description

Convert stereoscopic video between different representations using fragment shaders.

The element can use either property settings or caps negotiation to choose the input and output formats to process.

#### Examples

    1

    gst-launch-1.0 videotestsrc ! glupload ! glviewconvert ! glimagesink

Simple placebo example demonstrating identity passthrough of mono video

    1
    2

    gst-launch-1.0 videotestsrc pattern=checkers-1 ! glupload ! \
        glviewconvert input-mode-override=side-by-side ! glimagesink -v

Force re-interpretation of the input checkers pattern as a side-by-side stereoscopic image and display in glimagesink. FBO (Frame Buffer Object) and GLSL (OpenGL Shading Language) are required.

## Synopsis

### Element Information

plugin | opengl
author | Jan Schmidt <jan@centricular.com> Matthew Waters <matthew@centricular.com>
class | Filter

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

name | src
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

## Functions

## Types and Values

### struct GstGLViewConvertElement

    struct GstGLViewConvertElement;

## Property Details

### The `“downmix-mode”` property

      “downmix-mode”             GstGLStereoDownmix

Output anaglyph type to generate when downmixing to mono.

Flags: Read / Write

Default value: GST_GL_STEREO_DOWNMIX_ANAGLYPH_GREEN_MAGENTA_DUBOIS

### The `“input-flags-override”` property

      “input-flags-override”     GstVideoMultiviewFlags

Override any input information about multiview layout flags.

Flags: Read / Write

### The `“input-mode-override”` property

      “input-mode-override”      GstVideoMultiviewFramePacking

Override any input information about multiview layout.

Flags: Read / Write

Default value: GST_VIDEO_MULTIVIEW_FRAME_PACKING_NONE

### The `“output-flags-override”` property

      “output-flags-override”    GstVideoMultiviewFlags

Override automatic negotiation for output multiview layout flags.

Flags: Read / Write

### The `“output-mode-override”` property

      “output-mode-override”     GstVideoMultiviewMode

Override automatic output mode selection for multiview layout.

Flags: Read / Write

Default value: GST_VIDEO_MULTIVIEW_MODE_NONE